"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configure = configure;
exports.error = error;
exports.log = log;
exports.verbose = verbose;
exports.warn = warn;
var _chalk = _interopRequireDefault(require("chalk"));
var _colors = require("./colors");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultConfig = {
  verbose: false,
  silent: false
};
let config = {
  ...defaultConfig
};
const colorError = _chalk.default.hex(_colors.colors.error);
const colorWarn = _chalk.default.hex(_colors.colors.warn);
const colorVerbose = _chalk.default.hex(_colors.colors.verbose);
function configure(options) {
  config = {
    ...config,
    ...options
  };
}

// Jest is wrapping console.* calls, so we need to get the raw console object
const rawConsole = require('console');
function error() {
  rawConsole.error(colorError(...arguments));
}
function warn() {
  if (config.silent) return;
  rawConsole.warn(colorWarn(...arguments));
}
function log() {
  if (config.silent) return;
  rawConsole.log(...arguments);
}
function verbose() {
  if (!config.verbose || config.silent) return;
  rawConsole.log(colorVerbose(...arguments));
}
//# sourceMappingURL=logger.js.map